export function getIconBg(icon) {
    switch (icon) {
        // default
        default:
            return "#000";
        //林业图标

        case "sj-icon-centerdata-t-forest-landing":
            return "#0FA2FF"; //1起降点
        case "sj-icon-centerdata-t-forest-channel":
            return "#da8ec5"; //2水源渠道
        case "sj-icon-centerdata-t-forest-waterintake":
            return "#58b35d"; //3取水口
        case "sj-icon-centerdata-t-forest-watercrane":
            return "#0FA2FF"; //4水鹤
        case "sj-icon-centerdata-t-forest-firehydrant-1":
            return "#da8ec5"; //5地上消火栓
        case "sj-icon-centerdata-t-forest-firehydrant-2":
            return "#78bfc2"; //6地下消火栓
        case "sj-icon-centerdata-t-forest-firehydrant-3":
            return "#f5ad1b"; //7室内消火栓
        case "sj-icon-centerdata-t-forest-fireteam":
            return "#f5ad1b"; //8森林防火队
        //事件弹层补充   消防
        case "sj-icon-centerdata-t-firecontrol-fire-force":
            return "#ff6063"; //1消防力量
        case "sj-icon-centerdata-t-firecontrol-fire-key-places":
            return "#58b35d"; //2重点场所
        case "sj-icon-centerdata-t-firecontrol-fire-pressure-sensor":
            return "#f5ad1b"; //3压力传感器
        case "sj-icon-centerdata-t-firecontrol-basic-linkage-force":
            return "#da8ec5"; //4基本联动力量
        case "sj-icon-centerdata-t-firecontrol-other-linkage-force":
            return "#5278e8"; //5其他联动力量
        case "sj-icon-centerdata-t-firecontrol-foam-liquid":
            return "#00d6cc"; //6泡沫液
        case "sj-icon-centerdata-t-firecontrol-fulltime-station":
            return "#898e28"; //7专职站
        case "sj-icon-centerdata-t-firecontrol-fire-pressure-sensor":
            return "#f5ad1b"; //8摄像头

        //农业
        case "sj-icon-centerdata-t-farm-agricultural-cooperatives":
            return "#f5ad1b"; //1农民合作社
        case "sj-icon-centerdata-t-farm-botany-protect-info":
            return "#58b35d"; //2农业技术推广总站信息
        case "sj-icon-centerdata-t-farm-enterprise-1":
            return "#0FA2FF"; //3生鲜乳收购站
        case "sj-icon-centerdata-t-farm-enterprise-2":
            return "#00d6cc"; //4屠宰企业
        case "sj-icon-centerdata-t-farm-enterprise-3":
            return "#da8ec5"; //5饲料企业
        case "sj-icon-centerdata-t-farm-filings-livestock":
            return "#f5ad1b"; //6备案畜禽规模养殖场
        case "sj-icon-centerdata-t-farm-livestock":
            return "#ff6063"; //7种畜禽养殖场
        case "sj-icon-centerdata-t-farm-excrement-dispose":
            return "#f5ad1b"; //8区域性粪污处置中心
        case "sj-icon-centerdata-t-farm-complex-modification":
            return "#da8ec5"; //9肉牛基层繁改站
        case "sj-icon-centerdata-t-farm-greenhouse-film":
            return "#0FA2FF"; //10棚膜信息

        //生态
        case "sj-icon-centerdata-t-environment-key-enterprise":
            return "#f5ad1b"; //1重点企业
        case "sj-icon-centerdata-t-environment-source-pollution":
            return "#58b35d"; //2污染源
        case "sj-icon-centerdata-t-environment-sewage-outlet":
            return "#0FA2FF"; //3排污口

        //资源
        case "sj-icon-centerdata-t-resources-deposit":
            return "#f5ad1b"; //1矿产资源
        case "sj-icon-centerdata-t-resources-geologic-hazard":
            return "#58b35d"; //2地质灾害易发区
        case "sj-icon-centerdata-t-resources-illegal-construction":
            return "#0FA2FF"; //3违建信息
        
        //应急
        case "sj-icon-centerdata-t-emergency-warehouse":
            return "#f5ad1b"; //应急仓库(个)
        case "sj-icon-centerdata-t-emergency-team":
            return "#ff6063"; //应急队伍(个)

       //水利
        case "sj-icon-centerdata-t-hydraulic-battlefield":
            return "#58b35d"; //沙场资源
        case "sj-icon-centerdata-t-hydraulic-channel-blueline":
            return "#0FA2FF"; //河道蓝线资源
        case "sj-icon-centerdata-t-hydraulic-garbage-station":
            return "#da8ec5"; //垃圾站资源
        case "sj-icon-centerdata-t-hydraulic-outlet-sewage":
            return "#00d6cc"; //排污口资源
        case "sj-icon-centerdata-t-hydraulic-reach":
            return "#f5ad1b"; //河段资源(个)
        case "sj-icon-centerdata-t-hydraulic-reservoir":
            return "#ff6063"; //水库资源(个)
        case "sj-icon-centerdata-t-hydraulic-river":
            return "#7cb358"; //河流资源(个)
        case "sj-icon-centerdata-t-hydraulic-wade-bridge-culvert":
            return "#f5ad1b"; //涉水桥涵资源
        case "sj-icon-centerdata-t-hydraulic-water-gate":
            return "#da8ec5"; //闸口资源(个)
       //交通
        case "sj-icon-centerdata-t-traffic-warning-sign":
            return "#58b35d"; //警示牌(个)
        case "sj-icon-centerdata-t-traffic-bridge":
            return "#0FA2FF"; //桥梁(个)
        case "sj-icon-centerdata-t-traffic-culvert":
            return "#da8ec5"; //涵洞(个)
    }
}